[lfs-dev] gcc pass 1: perl binaries are mismatched

William Harrington kb0iic at berzerkula.org
Fri Jun 17 09:56:04 PDT 2016


On Fri, June 17, 2016 14:47, Roger Koehler wrote:

> I didn't delete anything. I just reinstalled the older version of Perl
> using LFS instructions over the newer one. I can now successfully build
> LFS
> with jhalfs. In the future, when a new version of Perl comes out, I'll
> treat it as a tool chain update, which apparently it is, and rebuild the
> whole system.

Hello Roger,

When upgrading Perl there is a nice way to migrate to the new version.

Basically create a bundle with CPAN, install the new perl, then install
the bundle with CPAN.

You can find more info about CPAN's autobundle feature at the CPAN site or
user autobundle blogs.

Sincerely,

William Harrington


More information about the lfs-dev mailing list